import '@wangeditor/editor/dist/css/style.css'
import Taro, { Component } from '@tarojs/taro'
import { View, Text, Image, ScrollView } from '@tarojs/components'
import { Editor, Toolbar } from '@wangeditor/editor-for-react'
import { IDomEditor, IEditorConfig, IToolbarConfig } from '@wangeditor/editor'
import './index.scss'



class MyEditor extends Component {

  state = {
    editor: null,
    html: "<p>hello</p>",
  }

  // 及时销毁 editor ，重要！
  // useEffect(() => {
  //   return () => {
  //     if (editor == null) return
  //     editor.destroy()
  //     setEditor(null)
  //   }
  // }, [editor])

  render() {
    const toolbarConfig = {}
    const editorConfig = {                         
      placeholder: '请输入内容...',
    }
    return (
      <View>
        <View style={{ border: '1px solid #ccc', zIndex: 100 }}>
          <Toolbar
            editor={editor}
            defaultConfig={toolbarConfig}
            mode="default"
            style={{ borderBottom: '1px solid #ccc' }}
          />
          <Editor
            defaultConfig={editorConfig}
            value={html}
            onCreated={setEditor}
            onChange={editor => setHtml(editor.getHtml())}
            mode="default"
            style={{ height: '500px', overflowY: 'hidden' }}
          />
        </View>
        <View style={{ marginTop: '15px' }}>
          {html}
        </View>
      </View>
    )
  }
}

export default MyEditor